Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.configmbeans
Interface ImmutableDataSpaceConfigMBean

All Known Subinterfaces:
  DataSpaceConfigMBean

    public interface ImmutableDataSpaceConfigMBean

Exposes a read-only view of the data space configuration.

Method Summary
`AccessControlConfig` | `getAccessControlConfig()`
`java.util.Map<java.lang.String,java.lang.String>` | `getAdministratorDefinedProperties()` Returns a not null map of the properties defined by the administrator.
`AuditConfig` | `getAuditConfig()`
`DataCacheConfig` | `getDataCacheConfig()` Returns the data cache configuration at the data space level.
`java.util.List<DataSourceId>` | `getDataSourceIdsUsingServiceAccount(java.lang.String serviceAccountName)` Returns a non null list of all the data source id that use this service account.
`java.lang.String` | `getDescription()` Returns the description set for this datasource.
`java.lang.String` | `getId()` Returns the id of this data space.
`LoggingLevel` | `getLoggingLevel()` Returns the logging level at the data space level.
`MemoryManagementConfig` | `getMemoryManagementConfig()` Returns the memory management configuration for this dataspace.
`int` | `getPlanCacheCapacity()` Returns the capacity of the plan capacity.
`SagaManagementConfig` | `getSagaManagementConfig()` Returns the saga management configuration for this dataspace.
`ServiceAccountConfig` | `getServiceAccount(java.lang.String serviceAccountName)` Returns a service account config with the passed name.
`java.util.Map<java.lang.String,ServiceAccountConfig.Type>` | `getServiceAccountNames()` Returns a non null map of the names of all the service accounts defined in this dataspace, along with their type.
`java.util.Map<java.lang.String,ServiceAccountConfig>` | `getServiceAccounts(java.util.Collection<java.lang.String> serviceAccountNames)` Returns a non null map of the service account config objects for the passed service account names.
`StreamingConfig` | `getStreamingConfig()` Returns the streaming configuration for this dataspace.
`ThreadConfig` | `getThreadConfig()` Returns the threads configuration for this data space.

Method Detail

### getId

    java.lang.String getId()

  Returns the id of this data space.

  Returns:
    the id of this data space

### getDescription

    java.lang.String getDescription()
                                    throws java.lang.Exception

  Returns the description set for this datasource. This might return null.

  Returns:
    the description
  Throws:
    `java.lang.Exception`

### getPlanCacheCapacity

    int getPlanCacheCapacity()
                             throws java.lang.Exception

  Returns the capacity of the plan capacity.

  Returns:
    the capacity of the plan capacity
  Throws:
    `java.lang.Exception`

### getLoggingLevel

    LoggingLevel getLoggingLevel()
                                 throws java.lang.Exception

  Returns the logging level at the data space level.

  Returns:
    the logging level at the data space level
  Throws:
    `java.lang.Exception`

### getAdministratorDefinedProperties

    java.util.Map<java.lang.String,java.lang.String> getAdministratorDefinedProperties()
                                                                                       throws java.lang.Exception

  Returns a not null map of the properties defined by the administrator.

  Returns:
    map of properties
  Throws:
    `java.lang.Exception`

### getThreadConfig

    ThreadConfig getThreadConfig()
                                 throws java.lang.Exception

  Returns the threads configuration for this data space. Threads config includes the number of threads for each query and the number of threads over all. This will always return a not null value. If something has not been explicitly populated then default values will be returned.

  Returns:
    the threads configuration for this data space
  Throws:
    `java.lang.Exception`

### getMemoryManagementConfig

    MemoryManagementConfig getMemoryManagementConfig()
                                                     throws java.lang.Exception

  Returns the memory management configuration for this dataspace.

  Returns:
    memory management configuration for this dataspace
  Throws:
    `java.lang.Exception`

### getStreamingConfig

    StreamingConfig getStreamingConfig()
                                       throws java.lang.Exception

  Returns the streaming configuration for this dataspace.

  Returns:
    streaming configuration for this dataspace
  Throws:
    `java.lang.Exception`

### getSagaManagementConfig

    SagaManagementConfig getSagaManagementConfig()
                                                 throws java.lang.Exception

  Returns the saga management configuration for this dataspace.

  Returns:
    streaming configuration for this dataspace
  Throws:
    `java.lang.Exception`

### getDataCacheConfig

    DataCacheConfig getDataCacheConfig()
                                       throws java.lang.Exception

  Returns the data cache configuration at the data space level. Data Cache config has information about the location where query results could be temporarily cached. If nothing has been set then this will return default data cache config with caching disabled. This method will never return a null value.

  Returns:
    the data cache configuration at the data space level
  Throws:
    `java.lang.Exception`

### getAccessControlConfig

    AccessControlConfig getAccessControlConfig()
                                               throws java.lang.Exception

  Returns:
  Throws:
    `java.lang.Exception`

### getAuditConfig

    AuditConfig getAuditConfig()
                               throws java.lang.Exception

  Returns:
  Throws:
    `java.lang.Exception`

### getServiceAccountNames

    java.util.Map<java.lang.String,ServiceAccountConfig.Type> getServiceAccountNames()
                                                                                     throws java.lang.Exception

  Returns a non null map of the names of all the service accounts defined in this dataspace, along with their type.

  Returns:
    all the service account names and their types
  Throws:
    `java.lang.Exception`

### getServiceAccount

    ServiceAccountConfig getServiceAccount(java.lang.String serviceAccountName)
                                           throws java.lang.Exception

  Returns a service account config with the passed name. This may be null if the service account with the passed name does not exist.

  Parameters:
    `serviceAccountName` -
  Returns:
    service account config
  Throws:
    `java.lang.Exception`

### getServiceAccounts

    java.util.Map<java.lang.String,ServiceAccountConfig> getServiceAccounts(java.util.Collection<java.lang.String> serviceAccountNames)
                                                                            throws java.lang.Exception

  Returns a non null map of the service account config objects for the passed service account names. The returned map is keyed on the service name.

  Parameters:
    `serviceAccountNames` -
  Returns:
    a map of the service account name and its config object
  Throws:
    `java.lang.Exception`

### getDataSourceIdsUsingServiceAccount

    java.util.List<DataSourceId> getDataSourceIdsUsingServiceAccount(java.lang.String serviceAccountName)
                                                                     throws java.lang.Exception

  Returns a non null list of all the data source id that use this service account.

  Parameters:
    `serviceAccountName` -
  Returns:
    a non null list of all the data source id that use this service account
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.